function data2series(data, name, label, color) {
    var tzOffset = new Date().getTimezoneOffset() * 60,
        values = _.map(data, function(val) {
            return [1000*(val['ts'] - tzOffset), val[name]];
        }),
        res = {
            data: values,
            label: label
        };
    if(color) {
        res.color = color;
    }
    return res;
}


function init_metrics_chart(target) {
    var options = {
        xaxis: {
            mode: "time",
            timeformat: "%H:%M"
        },
        yaxis: {
            max: 100,
            min: 0,
            tickFormatter: function(v) {
                return v + ' %';
            }
        },
        legend: {
            position: 'ne'
        }
    };

    $.get('/metrics', function(resp) {
        if(resp) {
            var series = [data2series(resp['metrics'], 'cpu', 'CPU', '#00ff00'),
                data2series(resp['metrics'], 'ram', 'RAM', '#0000ff')];
            $.plot(target, series, options);
        }
    }, 'json');
}
